package de.uni.karlsruhe.aifb.prog2.solutions;

/** Stellt ein moegliches Szenario auf dem Weg zur
 *  Problemloesung dar.
 */
public interface Scenario {

  /** Vergleicht zwei Szenarien auf Gleichheit */
  public boolean equals(Object o);

  /** Stellt dieses Szenario bereits die Problemloesung dar? */
  public boolean isSolution();

  /** Liefert alle Szenarien, zu denen man sich von diesem
    * Szenario aus bewegen kann.
    **/
  public Scenario[] getNextSteps();

}
